# Uses of Class
org.eclipse.emf.cdo.server.IStoreChunkReader.Chunk

Packages that use IStoreChunkReader.Chunk
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of IStoreChunkReader.Chunk in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return types with arguments of type IStoreChunkReader.Chunk
Modifier and Type
Method
Description
`List<IStoreChunkReader.Chunk>`
IStoreChunkReader.`executeRead()`

## Uses of IStoreChunkReader.Chunk in org.eclipse.emf.cdo.server.db.mapping

Method parameters in org.eclipse.emf.cdo.server.db.mapping with type arguments of type IStoreChunkReader.Chunk
Modifier and Type
Method
Description
`void`
IListMapping.`readChunks(IDBStoreChunkReader dbStoreChunkReader, List<IStoreChunkReader.Chunk> chunks, String where)`
Used to load-on-demand chunks of a list.

## Uses of IStoreChunkReader.Chunk in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return types with arguments of type IStoreChunkReader.Chunk
Modifier and Type
Method
Description
`List<IStoreChunkReader.Chunk>`
StoreChunkReader.`getChunks()`